Angular-animate – Unknown provider: $$asyncCallbackProvider <- $$asyncCallback <- $animate <- $compile

I have a strange issue. I want to include angular-animate in my AngularJS project – I am using AngularJS v1.2.6. I have added angular-animate to my bower file. It has downloaded and added to my HTML file in the source and it is pointing to the correct file (it loads in the browser). Now I need to add this as a dependancy, so I add the module to my app…

angular.module('myApp', [
        'ngResource',
        'ngSanitize',
        'ngRoute',
        'ui.bootstrap',
        'LocalStorageModule',
        'cookiesModule',
        'ngAnimate'
    ])  

However as soon as Grunt kicks in detecting a file change and builds I get the following error:

Unknown provider: $$asyncCallbackProvider <- $$asyncCallback <- $animate <- $compile

I’ve check the spelling, I’ve followed the instructions mentioned on https://github.com/angular/bower-angular-animate but I can’t see why this isn’t working or why I am getting the error! I’ve change the position of the dependency in the dependency array but this does nothing. Has anyone else experienced this? I’ll continue researching this but if anyone has overcome or determined why this is happening please speak up! Thanks in advance

Answer

Phew! I think I have fixed this… Bower seems to be the issue and solution!

I change from AngularJS 1.2.6 to 1.2.15 in my bower file and this resolved my issue:

so I changed this:

  "angular": "1.2.6"

to this

  "angular": "1.2.15"

Well, That only cost me 2 hours!

Attribution
Source : Link , Question Author : Mike Sav , Answer Author : Timigen

Leave a Comment